net.dontdrinkandroot.wicket.component.image

## Class NoAntiCacheImage

- java.lang.Object
- - org.apache.wicket.Component
  - - org.apache.wicket.markup.html.WebComponent
    - - org.apache.wicket.markup.html.image.Image
      - - net.dontdrinkandroot.wicket.component.image.NoAntiCacheImage

All Implemented Interfaces:
  Serializable, org.apache.wicket.event.IEventSink, org.apache.wicket.event.IEventSource, org.apache.wicket.IConverterLocator, org.apache.wicket.IRequestListener, org.apache.wicket.IResourceListener, org.apache.wicket.markup.html.IHeaderContributor, org.apache.wicket.request.component.IRequestableComponent, org.apache.wicket.util.IHierarchical<org.apache.wicket.Component>, org.apache.wicket.util.io.IClusterable

    public class NoAntiCacheImage
    extends org.apache.wicket.markup.html.image.Image

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.wicket.Component

`ENABLE, FLAG_INITIALIZED, FLAG_REMOVING_FROM_HIERARCHY, FLAG_RESERVED1, FLAG_RESERVED2, FLAG_RESERVED3, FLAG_RESERVED4, FLAG_RESERVED5, FLAG_RESERVED8, PARENT_PATH, PATH_SEPARATOR, RENDER`

### Fields inherited from interface org.apache.wicket.IResourceListener

`INTERFACE`

### Constructor Summary

Constructors
Constructor and Description
`NoAntiCacheImage(String id, org.apache.wicket.model.IModel<?> model)`
`NoAntiCacheImage(String id, org.apache.wicket.request.resource.IResource imageResource)`
`NoAntiCacheImage(String id, org.apache.wicket.request.resource.ResourceReference resourceReference)`
`NoAntiCacheImage(String id, org.apache.wicket.request.resource.ResourceReference resourceReference, org.apache.wicket.request.mapper.parameter.PageParameters resourceParameters)`
`NoAntiCacheImage(String id, String string)`

### Method Summary

Methods
`protected boolean` `shouldAddAntiCacheParameter()`

### Methods inherited from class org.apache.wicket.markup.html.image.Image

`addAntiCacheParameter, canCallListenerInterface, getImageResource, getImageResourceReference, getStatelessHint, initModel, onComponentTag, onComponentTagBody, onResourceRequested, setDefaultModel, setImageResource, setImageResourceReference, setImageResourceReference`

### Methods inherited from class org.apache.wicket.markup.html.WebComponent

`onRender`

### Methods inherited from class org.apache.wicket.Component

`add, addStateChange, afterRender, beforeRender, checkComponentTag, checkComponentTagAttribute, checkHierarchyChange, clearOriginalDestination, configure, continueToOriginalDestination, debug, detach, detachModel, detachModels, determineVisibility, error, exceptionMessage, fatal, findMarkupStream, findPage, findParent, findParentWithAssociatedMarkup, get, getAjaxRegionMarkupId, getApplication, getBehaviorById, getBehaviorId, getBehaviors, getBehaviors, getClassRelativePath, getConverter, getDefaultModel, getDefaultModelObject, getDefaultModelObjectAsString, getDefaultModelObjectAsString, getEscapeModelStrings, getFeedbackMessages, getFlag, getId, getInnermostModel, getInnermostModel, getLocale, getLocalizer, getMarkup, getMarkupAttributes, getMarkupId, getMarkupId, getMarkupIdFromMarkup, getMarkupIdImpl, getMarkupSourcingStrategy, getMetaData, getModelComparator, getOutputMarkupId, getOutputMarkupPlaceholderTag, getPage, getPageRelativePath, getParent, getPath, getRenderBodyOnly, getRequest, getRequestCycle, getRequestFlag, getResponse, getSession, getSizeInBytes, getString, getString, getString, getStyle, getVariation, hasBeenRendered, hasErrorMessage, hasFeedbackMessage, info, internalInitialize, internalOnModelChanged, internalPrepareForRender, internalRenderComponent, isActionAuthorized, isAuto, isBehaviorAccepted, isEnableAllowed, isEnabled, isEnabledInHierarchy, isIgnoreAttributeModifier, isRenderAllowed, isStateless, isVersioned, isVisibilityAllowed, isVisible, isVisibleInHierarchy, markRendering, modelChanged, modelChanging, newMarkupSourcingStrategy, onAfterRender, onAfterRenderChildren, onBeforeRender, onConfigure, onDetach, onEvent, onInitialize, onModelChanged, onModelChanging, onRemove, prepareForRender, redirectToInterceptPage, remove, remove, render, renderComponentTag, rendered, renderHead, renderHead, renderHead, renderPlaceholderTag, replaceComponentTagBody, replaceWith, sameInnermostModel, sameInnermostModel, send, setAuto, setDefaultModelObject, setEnabled, setEscapeModelStrings, setFlag, setIgnoreAttributeModifier, setMarkup, setMarkupId, setMarkupIdImpl, setMetaData, setOutputMarkupId, setOutputMarkupPlaceholderTag, setParent, setRenderBodyOnly, setRequestFlag, setResponsePage, setResponsePage, setResponsePage, setVersioned, setVisibilityAllowed, setVisible, success, toString, toString, urlFor, urlFor, urlFor, urlFor, urlFor, visitParents, visitParents, warn, wrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NoAntiCacheImage

    public NoAntiCacheImage(String id,
                    org.apache.wicket.request.resource.ResourceReference resourceReference)

#### NoAntiCacheImage

    public NoAntiCacheImage(String id,
                    org.apache.wicket.request.resource.ResourceReference resourceReference,
                    org.apache.wicket.request.mapper.parameter.PageParameters resourceParameters)

#### NoAntiCacheImage

    public NoAntiCacheImage(String id,
                    org.apache.wicket.request.resource.IResource imageResource)

#### NoAntiCacheImage

    public NoAntiCacheImage(String id,
                    org.apache.wicket.model.IModel<?> model)

#### NoAntiCacheImage

    public NoAntiCacheImage(String id,
                    String string)

### Method Detail

#### shouldAddAntiCacheParameter

    protected boolean shouldAddAntiCacheParameter()

Overrides:
  `shouldAddAntiCacheParameter` in class `org.apache.wicket.markup.html.image.Image`